<?php
class plxGoogleSnippetPreview extends plxPlugin {
    const PLUGIN_NAME = 'plxGoogleSnippetPreview';
	/**
	 * Constructeur de la classe plxGoogleSnippetPreview
	 *
	 * @param	default_lang	langue par défaut utilisée par PluXml
	 * @return	null
	 **/
	public function __construct($default_lang) {
		parent::__construct($default_lang);

		# droits pour accèder à la page config.php du plugin
		$this->setConfigProfil(PROFIL_ADMIN);

		# Déclarations des hooks
		$this->addHook('AdminTopEndHead', 'AdminTopEndHead');

		if ($this->getParam('pos_vie')=='bot'){
			$this->addHook('AdminCategory', 'AdminCategory');
			$this->addHook('AdminArticleContent', 'AdminArticleContent');
			$this->addHook('AdminStatic', 'AdminArticleContent');
		}else if($this->getParam('pos_vie')=='foot'){
			$this->addHook('AdminCategoryFoot', 'AdminCategory');
			$this->addHook('AdminArticleFoot', 'AdminArticleContent');
			$this->addHook('AdminStaticFoot', 'AdminArticleContent');
		}else{
			$this->addHook('AdminCategoryTop', 'AdminCategory');
			$this->addHook('AdminArticleTop', 'AdminArticleContent');
			$this->addHook('AdminStaticTop', 'AdminArticleContent');
		}
		//$this->addHook('AdminTopBottom', 'AdminTopBottom');//Oups 4 all pages
	}
	public function AdminCategory() {
		echo"
<?php 
		\$GoogleSnippetTitle = (\$plxAdmin->aCats[\$id]['title_htmltag'])?\$plxAdmin->aCats[\$id]['title_htmltag']:\$plxAdmin->aCats[\$id]['name'].' - '.\$plxAdmin->aConf['title'];
		\$GoogleSnippetMeta = (\$plxAdmin->aCats[\$id]['meta_description'])?\$plxAdmin->aCats[\$id]['meta_description']:\$plxAdmin->aConf['meta_description']; 
		\$GoogleSnippetUrl = \$plxAdmin->urlRewrite('index.php?categorie'.intval(\$id).'/'.\$plxAdmin->aCats[\$id]['url']); 
?>
";
		$this->htmlGoogleSnippet();
	}
	public function AdminArticleContent() {
		echo"<?php 

//var_dump(\$plxAdmin,\$date);
//var_dump(\$plxShow->artDate('#num_day #month #num_year(4)'));
		\$GoogleSnippetTitle = (\$title_htmltag)?\$title_htmltag:\$title.' - '.\$plxAdmin->aConf['title'];
		\$GoogleSnippetMeta = (\$meta_description)?\$meta_description:\$plxAdmin->aConf['meta_description'];
  if (isset(\$artId))
		 \$GoogleSnippetUrl = \$plxAdmin->urlRewrite('index.php?article'.intval(\$artId).'/'.\$url); 
  else
		 \$GoogleSnippetUrl = \$plxAdmin->urlRewrite('index.php?statique'.intval(\$id).'/'.\$url); 
		?>";
		$this->htmlGoogleSnippet();
	}
	public function AdminTopEndHead() {	
		echo '<link rel="stylesheet" type="text/css" media="screen" href="'.PLX_PLUGINS.self::PLUGIN_NAME.'/style.css" />';
	}
	public function htmlGoogleSnippet() {
		echo"
<?php 
		include('".PLX_PLUGINS.self::PLUGIN_NAME."/snippet.php');
		\$pet = new snippet;
		\$set['title'] = \$GoogleSnippetTitle;
		\$set['url'] = (isset(\$plxAdmin->plxPlugins->aPlugins['plxMyBetterUrls']))?preg_replace(\"/(article|static|categorie)[0-9]+\/([a-z0-9-]+)/\", \"\$2\".\$plxAdmin->plxPlugins->aPlugins['plxMyBetterUrls']->getParam('ext_url'), \$GoogleSnippetUrl):\$GoogleSnippetUrl;
		\$set['url'] = str_replace('http://','',\$set['url']);
		\$set['description'] = \$GoogleSnippetMeta;
		\$set['search'] = '';
		\$set['version'] = '".$this->getParam('vers_vie')."';
		\$set['lang'] = ['cache'=>'".$this->getLang('L_CACHE')."','sim'=>'".$this->getLang('L_SIM')."','sir'=>'".$this->getLang('L_SIR')."'];
?>
		<a class='GSPreview' href='#GSP'><img src='".PLX_PLUGINS.self::PLUGIN_NAME."/logo".$this->getParam('vers_vie').".png' preView</a>
		<a name='GSP'></a>
		<?php echo \$pet->serpSnippet(\$set); ?>
";
	}
}
?>
